//预先处理图片
var APPADMIN="/admin.php";
var APPINDEX="/index.php";
function showbox(title,content,width,height){
	$("#showBox_title").html(title);
	$("#showBox_content").html(content);
	$("#showBox").show();
	$("#showBox_opac").show()
	$("#showbox_container").css({width:width,height:height,marginTop:($(window).height()-height)/2});
}

function showboxClose(){
	$("#showBox_opac").hide();
	$("#showBox").css("display","none");
}
/*设置最大图片*/
function setMaxImg(d){
	var d=d;
	var len=$(d).find("img").length;
	$(d).find("table").css("width","100%");
	for(var i=0;i<len;i++){
		var obj=$(d).find("img").eq(i);
		 
		if(parseInt(obj.css("width"))>640){
			obj.css("width","640px");
		}
	}

}

function lzImage(cls,width){
	var lzImg=$("."+cls);
	var len=lzImg.length;
	for(var i=0;i<len;i++){
		var obj= $("."+cls+":eq("+i+")");
		var json=obj.attr("json")
		json=eval("("+json+")");
		if(typeof(json.width)!="undefined"){
			var width=220;
			var height= parseInt(json.height/(json.width/width));
			obj.css({width:width+"px",height:height+"px"});
		}
		
	}
}
/***加入购物车***/
var ordercart={};
function orderCart_add(id,type_id){
	var o_v=$(".orderCart_attr_value");
	var len=o_v.length;
	var att="";
	for(var i=0;i<len;i++){
		if(o_v.eq(i).val()==''){
			alert("请选择"+o_v.eq(i).attr("attr_name"));
			return false;
		}
		att +="&"+o_v.eq(i).attr("name")+"="+o_v.eq(i).val();
	}
	 
	$.get("/index.php?m=order_cart&a=add&object_id="+id+"&type_id="+type_id+att,function(data){
		if(data.error==0){
			orderCart_refresh();
			
		}else{
			alert(data.message);
		}
	},"json")
}

function orderCart_refresh(){
	$.get("/index.php?m=order_cart&a=getCart",function(data){
		$("#orderCart_inc").html($(data).html());	
	});
	
}

function order_cart_confirm_change(url){
	$.get(url,function(data){
		if(data.error==1){
			alert(data.message);
		}else{
			window.location.reload();
		}
	},"json");
}

$(document).ready(function(){
	$(".orderCartNum_plus").live("click",function(){
		var oid=$(this).attr("oid");
		var obj=$(this);
		$.get("/index.php?m=order_cart&a=num_plus&id="+oid,function(data){
			if(data.error==0){
				var t_o=obj.parents(".orderCart_row").find(".orderCartNum");
				
				if(t_o.html()){
					
					t_o.html(parseInt(t_o.html())+1);
				}else{
					t_o.val(parseInt(t_o.val())+1);
				}
				$(".orderCard_totalmoney").html(data.total_money);
			}else{
				alert(data.message)
			}
		},"json");
	});
	
	$(".orderCartNum_minus").live("click",function(){
		var oid=$(this).attr("oid");
		var obj=$(this);
		$.get("/index.php?m=order_cart&a=num_minus&id="+oid,function(data){
			if(data.error==0){
				var t_o=obj.parents(".orderCart_row").find(".orderCartNum");
				if(t_o.html()){
					t_o.html(parseInt(t_o.html())-1);
				}else{
					t_o.val(parseInt(t_o.val())-1);
				}
				
				$(".orderCard_totalmoney").html(data.total_money);
			}else{
				alert(data.message)
			}
		},"json");
	});
	
	$(".orderCart_attr").live("click",function(){
		var obj=$(this).parents(".orderCart_attr_item");
		var aid=obj.attr("attr_id");
		obj.find(".orderCart_attr").removeClass("btn-success");
		$(this).addClass("btn-success");
		$("#orderCart_attr_"+aid).val($(this).attr("val"));
		
	});
	
	$(".cart_delete").live("click",function(){
		var url=$(this).attr("url");
		var obj=$(this);
		if(confirm("确定删除吗?")){
			$.get(url,function(data){
				if(data.error==1){
					alert(data.message);
				}else{
					obj.parents(".orderCart_row").remove();
					$(".orderCart_pronum").html(parseInt($(".orderCart_pronum").html())-1); 
					$(".orderCard_totalmoney").html(data.total_money);
				}
			},"json");
			
		}
	});
	
});

/******End 购物车处理***********/


/***金币换购***/
function exchange(id){
	$.get("/index.php?m=exchange&a=check&ajax=1&id="+id,function(data){
		if(data.error==0){
			window.location.href=data.url;
		}else{
			alert(data.message);
		}
	},"json")
}
/***金币抢拍***/
function pai(id){
	$.get("/index.php?m=pai&a=check&ajax=1&id="+id,function(data){
		if(data.error==0){
			window.location.href=data.url;
		}else{
			alert(data.message);
		}
	},"json")
}

/****团购商品*****/

function groupbuy(id){
	$.get("/index.php?m=groupbuy&a=check&ajax=1&id="+id,function(data){
		if(data.error==0){
			window.location.href=data.url;
		}else{
			alert(data.message);
		}
	},"json")
}

/*---------------------杂志--------------------------*/
/******收集产品*******/
function magazine_collect_btn(id){
	$.get("/index.php?m=magazine&a=collect&ajax=1&id="+id,function(data){
		showbox("收进杂志",data,500,200);
	});
}

/**********************End杂志***************************/

/************GPS***************/
var gps_obj;
function getlatlng(obj)
{
	gps_obj=obj;
	if(!navigator.geolocation)
	{
		$("#gpsmsg").html("定位失败");
	}else
	{
	navigator.geolocation.getCurrentPosition(getPositionSuccess, getPositionError);
	}
}

function getPositionSuccess( position ){
        var lat = position.coords.latitude;
        var lng = position.coords.longitude;
        setlatlng(lat,lng);
		gps_obj.html("定位成功");
}

function getPositionError(error){
	$("#gpsmsg").html("定位失败");
}
function setlatlng(lat,lng)
{
	$.get("index.php?m=setgps&lat="+lat+"&lng="+lng,function(data)
	{
		if(data=='OK')
		{
			window.location.reload();
		}else{
			alert('定位失败');
		}
	});
	
}
/************END GPS*************/
$(document).ready(function(){
	 
		$(".del").click(function(){
		id=$(this).attr("pid");
		var $container=$("#container");
		$.get(APPADMIN+"?m=admin_product&a=del&id="+id,function(data){
			
			
		});
		
		if($(this).parents("tr").length){
			
			$(this).parents("tr").remove();
		}else if($(this).parents(".box").length){
			
			$(this).parents(".box").remove();
			$container.masonry('reload');
		}
	});
	
	$(".undel").click(function(){
		id=$(this).attr("pid");		
		$.get(APPADMIN+"?m=admin_product&a=undel&id="+id,function(data){			
		});	
		$(this).parents("tr").remove();				
				 
	});
	
	$(".delete").click(function(){
		var url=$(this).attr("url");
		var obj=$(this);
		if(confirm("删除后不可恢复，确定删除吗?")){
			$.get(url,function(data){
				if(data.error==1){
					alert(data.message);
				}else{
					obj.parents("tr").remove();
				}
			},"json");
			
		}
	});
	
	$(".hates").click(function(){
	 
		obj=$(this);
		$.get(obj.attr("url"),function(data){
			if(data.error==0){
				if(obj.next('span').length>0){
					obj.next('span').html(parseInt(obj.next('span').html())+1);
				}else{
					obj.html("已取消");
				}
			}else if(data.error==2){
				alert('请先登录');
			}else{
				alert('你讨厌过了');
			}
		},"json");
		 
		//$(this).parents(".box").remove();
		//$container.masonry('reload');
	});
  	
	$(".loves").click(function(){
		 
		obj=$(this);
		$.get(obj.attr("url"),function(data){
			if(data.error==0){
				if(obj.next('.love_num').length>0){
					obj.next('.love_num').html(parseInt(obj.next('.love_num').html())+1);
				}else{
					obj.html("已关注");
				}
			}else if(data.error==2){
				alert('请先登录');
			}else{
				alert('你已经喜欢了');
			}
		},"json");
		
		//$(this).parents(".box").remove();
		//$container.masonry('reload');
		
	});
	
	$(".ajax_yes").live("click",function()
	{
		
		$.get($(this).attr("url"));
		$(this).attr("src","/static/images/yes.gif");
		url=$(this).attr("url");
		$(this).attr("url",$(this).attr("rurl"));
		$(this).attr("rurl",url);
		$(this).removeClass("ajax_yes").addClass("ajax_no");
	});
	
	$(".ajax_no").live("click",function()
	{
		$.get($(this).attr("url"));
		$(this).attr("src","/static/images/no.gif");
		url=$(this).attr("url");
		$(this).attr("url",$(this).attr("rurl"));
		$(this).attr("rurl",url);
		$(this).removeClass("ajax_no").addClass("ajax_yes");
	});
	
	$(".ajax").live("click",function(){
		$.get($(this).attr("url"));
		$(this).parents("tr").remove();	
	});
	
	$(".goTao").bind("click",function(){
		$.get("/index.php?m=stat&a=tao&url="+$(this).attr("url"))
	});
	
	$('.go_url').bind("click",function(){
		window.location.href=$(this).attr("url");
	});
	
	/**********关注操作***************/
	$(".ajax_follow").live("click",function(){
		var url=$(this).attr("url");
		var obj=$(this);
		$.get(url,function(data){
			if(data.error==0){
				obj.html("关注成功");
			}else{
				alert(data.message);
			}
		},"json");
	});
	
	$(".ajax_unfollow").live("click",function(){
		var url=$(this).attr("url");
		var obj=$(this);
		$.get(url,function(data){
			if(data.error==0){
				obj.html("取消成功");
			}else{
				alert(data.message);
			}
		},"json");
		
	});
	
	/*************************/
	/*********城市区域Ajax*********/
	$("#ajax_province_id").live("change",function(){
		if($("#ajax_city_id").length>0){
			$.get("/index.php?m=ajax&a=district&id="+$(this).val(),function(data){
				$("#ajax_city_id").empty().append(data);
				if($("#ajax_town_id").length>0){
					$("#ajax_town_id").empty().append("<option value=0>请选择</option>");
				}
			});
		}
	});
	
	$("#ajax_city_id").live("change",function(){
		if($("#ajax_town_id").length>0){
			$.get("/index.php?m=ajax&a=district&id="+$(this).val(),function(data){
				$("#ajax_town_id").empty().append(data);	 
			});
		}
	});
	/*********城市区域Ajax*结束********/
	/**************圈子*******************/
	$("#group_cat_select").bind("change",function(data){
		var catid=$(this).val();
		var cc=$(this);
		$.get("/index.php?m=group&a=cat_child&id="+catid,function(data){
			var len=data.length;
			var option="<option value='0'>请选择</option>";
			if(len){
				
				for(var i=0;i<len;i++){
					option=option+'<option value="'+data[i].id+'">'+data[i].cname+'</option>';
				}
			}
			$("#group_cat_select2").empty().append(option);
		},"json")
	});
	
	$("#tagid_top").bind("change",function(){
		var tagid=$(this).val();
		$.get("/index.php?m=group_tags&a=gettags&tagid="+tagid,function(data){
			$("#tagid_2nd").empty().append(data); 
		})
	});
	/************end 圈子***********/
});